import java.util.*;


/**
 * Class to hold examples of data and tests
 * 
 * @author Viera K. Proulx
 */
public class Examples implements Testable{
  
  Examples(){}
  
  /**
   * The method that implements all tests for this program using the 
   * <CODE>{@link Tester Tester}</CODE> test harness.
   * 
   * @param t the <CODE>{@link Tester Tester}</CODE> that runs this
   * method and collects the results for reporting
   */
  public void tests(Tester t){      	
    
    // Your examples and tests go here.
    Word hello1 = new Word("Hello");
    
    // Testing equality
    t.test("same objects", hello1, hello1);
    
    t.testReport();
    t.fullTestReport();
    
    // run the main program with the file "test.txt"
    Week11.main(new String[]{"test.txt"});
  }
  
  /**
   * Run all tests with a new instance of the 
   * <CODE>{@link Tester Tester}</CODE>.
   *
   */
  public void go(){
    Tester tester = new Tester();
    tester.runTests(this);
  }
  
  /**
   * Construct a new instance of the <CODE>{@link Examples Examples}</CODE>
   * and run the main test driver.
   */
  public static void main(String[] argv){
    Examples e = new Examples();
    e.go();
  }
  
}